summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorDalibor Topic <robilad@yahoo.com>2007-04-19 12:49:20 +0000
committerDalibor Topic <robilad@yahoo.com>2007-04-19 12:49:20 +0000
commit1b65d67095974780d2d974858414d5b873a28320 (patch)
tree7643d66977df6ba363faaa3caf839f7a00eda417 /autogen.sh
parent94e8957b2c9896a50ecc46721767e55ccac66a88 (diff)
downloadclasspath-1b65d67095974780d2d974858414d5b873a28320.tar.gz
2007-04-19 Dalibor Topic <robilad@kaffe.org>
* INSTALL: Replaced by generic install file. * autogen.sh: Removed redundant and no longer necessary sections. Use autoreconf.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh68
1 files changed, 1 insertions, 67 deletions
diff --git a/autogen.sh b/autogen.sh
index eb94e2258..28c4cd624 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -34,47 +34,6 @@ if $have_libtool ; then : ; else
DIE=1
fi
-have_autoconf=false
-if autoconf --version < /dev/null > /dev/null 2>&1 ; then
- autoconf_version=`autoconf --version | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
- case $autoconf_version in
- 2.59* | 2.6[0-9]* )
- have_autoconf=true
- ;;
- esac
-fi
-if $have_autoconf ; then : ; else
- echo
- echo "You must have autoconf 2.59 or later installed for $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
- DIE=1
-fi
-
-have_automake=false
-# We know each 1.9.x version works
-if automake-1.9 --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake-1.9
- ACLOCAL=aclocal-1.9
- have_automake=true
-elif automake --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake
- ACLOCAL=aclocal
- automake_version=`automake --version | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
- case $automake_version in
- 1.9* | 1.10*)
- have_automake=true
- ;;
- esac
-fi
-if $have_automake ; then : ; else
- echo
- echo "You must have automake 1.9 or 1.10 installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
- DIE=1
-fi
-
if test "$DIE" -eq 1; then
exit 1
fi
@@ -91,34 +50,9 @@ if test "x$AUTOGEN_SUBDIR_MODE" = "xyes"; then
fi
fi
-if test -z "$ACLOCAL_FLAGS"; then
-
- acdir=`$ACLOCAL --print-ac-dir`
- m4list="glib-2.0.m4 glib-gettext.m4"
-
- for file in $m4list
- do
- if [ ! -f "$acdir/$file" ]; then
- echo "WARNING: aclocal's directory is $acdir, but..."
- echo " no file $acdir/$file"
- echo " You may see fatal macro warnings below."
- echo " If these files are installed in /some/dir, set the ACLOCAL_FLAGS "
- echo " environment variable to \"-I /some/dir\", or install"
- echo " $acdir/$file."
- echo ""
- fi
- done
-fi
-
# Use the "-I m4 flag in order to include pkg.m4 and other .m4 files.
-$ACLOCAL -I m4 $ACLOCAL_FLAGS || exit $?
-
-${LIBTOOLIZE} --force || exit $?
-
-autoheader || exit $?
+autoreconf -I m4 --force --install --warnings=no-portability || exit $?
-$AUTOMAKE --add-missing || exit $?
-autoconf || exit $?
cd $ORIGDIR || exit $?
if test "x$AUTOGEN_SUBDIR_MODE" = "xyes"; then